Summary: Creates special device files in /dev.
Name: hhl-target-makedev
Version: 2.3.1
Release: %{_hhl_build_id}.9
License: Other
Group: System Environment/Base
Source: makedev-%{version}.tar.gz
Source1: hhl-devices.pml 
Source2: makedev.tmpl
Patch0: makedev_2.3.1-53.diff.gz
Patch1: makedev-%{version}-console-diff
Patch2: makedev-perms.diff
# raw-device diff (obsoleted)
Patch4:	makedev-cvt.diff
Patch5: makedev-mtd.diff
Patch6: makedev-envbash.diff
Patch7: makedev-fd.diff
# input-device diff (obsoleted)
Patch9: makedev-procfs.diff
Patch10: makedev-vme-input.diff
Patch11: makedev-watchdog.diff
%define pkgname		hhl-%{_hhl_target_arch}-makedev
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
%define targetroot	%{_hhl_cross_target_dir}
Prefix: %{targetroot}

%define _etcdir		%{targetroot}/%{_hhl_target_sysconf_dir}
%define _mandir		%{targetroot}/%{_hhl_target_man_dir}
%define _docdir		%{targetroot}/%{_hhl_target_doc_dir}
%define _dev		%{targetroot}/dev
%define _sbin		%{targetroot}/sbin

%description
The MAKEDEV executable is used to populate the /dev directory with device
files.

%package -n %{pkgname}
Summary: Creates special device files in /dev.
Group: System Environment/Base
AutoReqProv: no

%description -n %{pkgname}
The MAKEDEV executable is used to populate the /dev directory with device
files.

If you are installing as root, /dev is populated by a post install script.

%prep
%target_check
%setup -q -n makedev-%{version}.orig
%patch0 -p1 
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p0
%build

%install
%target_setup

rm -rf %{buildroot}

install -d %{buildroot}

for i in %{_sbin} %{_etcdir}/init.d %{_mandir}/man8 ; do
	install -d %{buildroot}/$i
done

%make ROOT=%{buildroot}%{targetroot} install

install -m 755 debian/init.d %{buildroot}%{_etcdir}/init.d/makedev
# for FHS compliance
mkdir -p %{buildroot}%{_dev}
ln -s ../sbin/MAKEDEV %{buildroot}%{_dev}/MAKEDEV
gzip -9f %{buildroot}%{_mandir}/man8/MAKEDEV.8

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
install -m 644 %{SOURCE1} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/devices
cp debian/copyright LICENSE
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/makedev

%clean
rm -rf %{buildroot}

%post -n %{pkgname}
%target_script_prefix_setup

if [ `whoami` != "root" ] ; then
	echo "You are not root."
	echo "Not populating ${RPM_INSTALL_PREFIX}/dev."
	exit 0
fi

# Used to not make the system go nuts if something wrong happens
# and ${RPM_INSTALL_PREFIX}/dev doesn't exist!
if [ -d ${RPM_INSTALL_PREFIX}/dev ] ; then
	cd ${RPM_INSTALL_PREFIX}/dev

	./MAKEDEV std
	./MAKEDEV console
	./MAKEDEV fd

	# Prune the /dev..

	rm -f tty[2-9][0-9]
	rm -f vcs[2-9][0-9]
	rm -f vcsa[2-9][0-9]

	./MAKEDEV random
	./MAKEDEV urandom
	./MAKEDEV rtc
	./MAKEDEV ttyS0
	./MAKEDEV ttyS1
	./MAKEDEV ttyS2
	./MAKEDEV ttyS3
fi

%files -n %{pkgname}
%defattr(-,root,root)
%{_dev}/MAKEDEV
%{_sbin}/MAKEDEV
%{_mandir}/man8/MAKEDEV.8.gz
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/devices
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/makedev
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Wed Feb 28 2001 Matthew McLean <source@mvista.com>
- First cut
